﻿Public Class Form1

    '*************************************************************
    ' 定数定義
    '*************************************************************

    Const s_cstTITLE As String = "ファイル印刷" 'メッセージボックスのタイトル用

    '*************************************************************
    ' プログラム起動
    '*************************************************************

    Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        '/////////////////////////////////////////////////////////////
        '// STARFAX インストール確認

        If AxSFCSEnv1.CheckInstall() <> SFCSENV_SUCCESS Then
            MsgBox("STARFAX がインストールされていない、" & vbCrLf & "もしくは STARFAX 環境設定プログラム でフォルダ環境が設定されていません。", MsgBoxStyle.Critical, s_cstTITLE)
            Me.Close()
            End
        End If

        '/////////////////////////////////////////////////////////////
        '// STARFAX サブフォルダ確認 (印刷命令フォルダ)

        If AxSFCSEnv1.CheckSubFolder(SFCSENV_SMODE_PRTMIS) <> SFCSENV_SUCCESS Then
            MsgBox("印刷命令フォルダが存在しません。" & vbCrLf & "STARFAX を１度起動することにより、" & vbCrLf & "印刷命令フォルダが作成されます。", MsgBoxStyle.Critical, s_cstTITLE)
            Me.Close()
            End
        End If

        '/////////////////////////////////////////////////////////////
        '// STARFAX サービス状態取得

        If AxSFCSEnv1.CheckServiceStatus() = SFCSENV_SERVICE_STOP Then
            MsgBox("STARFAX が動作していないので、" & vbCrLf & "印刷命令ファイルを作成しても、実際に印刷動作は行われません。", MsgBoxStyle.Exclamation, s_cstTITLE)
        End If

    End Sub

    '*************************************************************
    ' ファイル印刷ボタン: クリック
    '*************************************************************

    Private Sub CommandOK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CommandOK.Click

        Dim i As Object

        Dim strDocTEMP As String

        Dim lRet As Integer

        '/////////////////////////////////////////////////////////////
        '// (1)  印刷原稿設定
        '//
        '// SFCSPrtFileコントロール 《 印刷原稿リストリセット 》
        '//   Sub ResetDocInfo()
        '//
        '// SFCSPrtFileコントロール 《 印刷原稿リスト追加設定 》
        '//   Function AddDocInfo( DocName As String ) as Long
        '//

        AxSFCSPrtFile1.ResetDocInfo()

        For i = 1 To 4

            strDocTEMP = ""

            Select Case i
                Case 1
                    strDocTEMP = TextDOC1.Text
                Case 2
                    strDocTEMP = TextDOC2.Text
                Case 3
                    strDocTEMP = TextDOC3.Text
                Case 4
                    strDocTEMP = TextDOC4.Text
            End Select

            If strDocTEMP <> "" Then

                lRet = AxSFCSPrtFile1.AddDocInfo(strDocTEMP)
                If lRet <> SFCSPRTFILE_SUCCESS Then
                    MsgBox("メモリエラーが発生しました", MsgBoxStyle.Critical, s_cstTITLE)
                    Exit Sub
                End If

            End If
        Next i

        '/////////////////////////////////////////////////////////////
        '// (2)  印刷命令ファイル作成
        '//
        '// SFCSPrtFileコントロール 《 印刷命令ファイル作成 》
        '//   Function MakePrintMission() as Long
        '//

        lRet = AxSFCSPrtFile1.MakePrintMission()

        If lRet = SFCSPRTFILE_SUCCESS Then
            MsgBox("印刷命令ファイルを作成しました。", MsgBoxStyle.OkOnly, s_cstTITLE)
        Else
            If lRet = SFCSPRTFILE_ERR_NoMisFolder Then
                MsgBox("印刷命令フォルダが存在しません", MsgBoxStyle.Exclamation, s_cstTITLE)
            End If
            If lRet = SFCSPRTFILE_ERR_GetMisFolder Then
                MsgBox("印刷命令フォルダの取得に失敗しました", MsgBoxStyle.Exclamation, s_cstTITLE)
            End If
            If lRet = SFCSPRTFILE_ERR_GetTempFolder Then
                MsgBox("一時フォルダの取得に失敗しました", MsgBoxStyle.Exclamation, s_cstTITLE)
            End If
            If lRet = SFCSPRTFILE_ERR_GetTempFile Then
                MsgBox("一時ファイルの取得に失敗しました", MsgBoxStyle.Exclamation, s_cstTITLE)
            End If
            If lRet = SFCSPRTFILE_ERR_MakeMisName Then
                MsgBox("印刷命令ファイル名の作成に失敗しました", MsgBoxStyle.Exclamation, s_cstTITLE)
            End If
            If lRet = SFCSPRTFILE_ERR_PARAM_INFO Then
                MsgBox("パラメータエラー: 印刷命令ファイル作成情報が指定されていません。", MsgBoxStyle.Exclamation, s_cstTITLE)
            End If
            If lRet = SFCSPRTFILE_ERR_PARAM_DOC Then
                MsgBox("パラメータエラー: 印刷原稿ファイルが指定されていません。", MsgBoxStyle.Exclamation, s_cstTITLE)
            End If
            If lRet = SFCSPRTFILE_ERR_PARAM_DOCNAME Then
                MsgBox("パラメータエラー: 印刷原稿ファイル名が指定されていません。", MsgBoxStyle.Exclamation, s_cstTITLE)
            End If
        End If


    End Sub

    '*************************************************************
    ' キャンセルボタン: クリック
    '*************************************************************

    Private Sub CommandCancel_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CommandCancel.Click

        End

    End Sub

    '*************************************************************
    'ファイルオープンダイアログの表示
    '*************************************************************

    Private Function GetOpenFileName(ByRef fileName As String, ByRef filter As String, ByRef title As String) As Boolean
        Dim returnValue As DialogResult
        OpenFileDialog1.FileName = ""
        OpenFileDialog1.Filter = filter
        OpenFileDialog1.Title = title
        OpenFileDialog1.ReadOnlyChecked = False
        OpenFileDialog1.CheckFileExists = True
        returnValue = OpenFileDialog1.ShowDialog
        GetOpenFileName = False
        If returnValue = DialogResult.OK And StrComp(OpenFileDialog1.FileName, "", 1) Then  '入力あり
            fileName = OpenFileDialog1.FileName
            GetOpenFileName = True
        End If
    End Function

    '*************************************************************
    ' ファイル１参照ボタン: クリック
    '*************************************************************

    Private Sub CommandBRODOC1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CommandBRODOC1.Click

        GetOpenFileName(TextDOC1.Text, "すべてのファイル(*.*)|*.*", "ファイル１")

    End Sub

    '*************************************************************
    ' ファイル２参照ボタン: クリック
    '*************************************************************

    Private Sub CommandBRODOC2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CommandBRODOC2.Click

        GetOpenFileName(TextDOC2.Text, "すべてのファイル(*.*)|*.*", "ファイル２")

    End Sub

    '*************************************************************
    ' ファイル３参照ボタン: クリック
    '*************************************************************

    Private Sub CommandBRODOC3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CommandBRODOC3.Click

        GetOpenFileName(TextDOC3.Text, "すべてのファイル(*.*)|*.*", "ファイル３")

    End Sub

    '*************************************************************
    ' ファイル４参照ボタン: クリック
    '*************************************************************

    Private Sub CommandBRODOC4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CommandBRODOC4.Click

        GetOpenFileName(TextDOC4.Text, "すべてのファイル(*.*)|*.*", "ファイル４")

    End Sub

End Class
